include ../test_defines.mk

# define vars if they are undefined
OBJDIR := $(if $(OBJDIR),$(OBJDIR),../../output/$(MACHINE)/coverage)
RESULTSDIR := $(if $(RESULTSDIR),$(RESULTSDIR),RESULTSDIR)

TARGET = run_test
SOURCES += $(wildcard $(TEST_SRCDIR)/*.c)
OBJECTS = $(addprefix $(OBJDIR)/,$(notdir $(SOURCES:.c=.o)))

include ../test_targets.mk
